The Alternative Csound Reference Manual
Previous |  | Next

# chanctrl

chanctrl -- Get the current value of a MIDI channel controller.

## Description

Get the current value of a controller and optionally map it onto specified range.

## Syntax

ival chanctrl ichnl, ictlno [, ilow] [, ihigh]

kval chanctrl ichnl, ictlno [, ilow] [, ihigh]

## Initialization

ichnl -- the MIDI channel (1-16).

ictlno -- the MIDI controller number (0-127).

ilow, ihigh -- low and high ranges for mapping

## Credits

Author: Mike Berry
Mills College
May, 1997

Thanks goes to Rasmus Ekman for pointing out the correct MIDI channel and controller number ranges.

Previous | Home | Next
cggoto | Up | checkbox